︠5515b3bd-72eb-4e04-9372-e5f5297e1376︠
#illustration of minimax problem of interpolation
#using chebyshev roots

from numpy import linspace
x = var('x')
#Chebyshev roots between -1.0 and 1.0
n = 9
xpoints = [cos(((2.0*i -1)*float(pi))/(2.0*n)) for i in range(1,n+1)]
#xpoints = [cos for i in range(xpoints.size)

#create an array of the terms for interpolation error polynomial
terms = [x- i for i in xpoints]

#multiply the terms together and place in a fuction
func = prod(terms)
p = plot(func)

#create tuple of points for which y(x) = 0
pointsAtZero = [[i,0] for i in xpoints]

p1 = list_plot(pointsAtZero, rgbcolor = (1,0,0))
(p + p1).show(ymax = .02, ymin = -.02)
︡6716edb0-0ba6-4a17-8f5f-956ffb614a19︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
